Product Hunt product reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-products-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "notion",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-products-reviews"
payload = {
"product": "notion",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'notion', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-products-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_products_reviews",
"product": "doplac-crm",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — product reviews\n\n- **Product:** doplac-crm\n- **Results:** 2 of 7 found\n- **Proxy traffic:** 27.1 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "181797",
"name": "Review by Alvi Shuvo",
"url": "https://www.producthunt.com/products/doplac-crm/reviews?review=181797",
"review_id": "181797",
"review_type": "personal",
"rating": 5,
"ease_of_use_rating": null,
"reliability_rating": null,
"value_for_money_rating": null,
"customization_rating": null,
"overall_experience": "Doplac CRM is gaining attention for its all-in-one capabilities, making it a solid option for small to medium-sized businesses. It’s designed to cover marketing, sales, and customer relationship manag",
"positive_feedback": null,
"negative_feedback": null,
"alternatives_feedback": null,
"votes_count": 0,
"comments_count": 0,
"created_at": "2024-09-20T21:44:54-07:00",
"user": {
"id": "alvi_shuvo",
"name": "Alvi Shuvo",
"username": "alvi_shuvo",
"url": "https://www.producthunt.com/@alvi_shuvo",
"headline": "i want to test. i am a marketer.",
"image": "https://ph-avatars.imgix.net/7611138/4bb41cf2-7a98-4377-a321-5ac36d045d11.jpeg"
},
"alternative_products": [],
"from_launch": null
},
"items": [
{
"id": "181797",
"name": "Review by Alvi Shuvo",
"url": "https://www.producthunt.com/products/doplac-crm/reviews?review=181797",
"review_id": "181797",
"review_type": "personal",
"rating": 5,
"ease_of_use_rating": null,
"reliability_rating": null,
"value_for_money_rating": null,
"customization_rating": null,
"overall_experience": "Doplac CRM is gaining attention for its all-in-one capabilities, making it a solid option for small to medium-sized businesses. It’s designed to cover marketing, sales, and customer relationship manag",
"positive_feedback": null,
"negative_feedback": null,
"alternatives_feedback": null,
"votes_count": 0,
"comments_count": 0,
"created_at": "2024-09-20T21:44:54-07:00",
"user": {
"id": "alvi_shuvo",
"name": "Alvi Shuvo",
"username": "alvi_shuvo",
"url": "https://www.producthunt.com/@alvi_shuvo",
"headline": "i want to test. i am a marketer.",
"image": "https://ph-avatars.imgix.net/7611138/4bb41cf2-7a98-4377-a321-5ac36d045d11.jpeg"
},
"alternative_products": [],
"from_launch": null
},
{
"id": "182672",
"name": "Review by Mahmudul Hasan Manik",
"url": "https://www.producthunt.com/products/doplac-crm/reviews?review=182672",
"review_id": "182672",
"review_type": "founder",
"rating": 5,
"ease_of_use_rating": null,
"reliability_rating": null,
"value_for_money_rating": null,
"customization_rating": null,
"overall_experience": "Using this CRM last couple of month. Easy to use and lots of features included here. All in one CRM tools for Founder and Freelancers. White Label system can boost your mindset also. Personalise every",
"positive_feedback": null,
"negative_feedback": null,
"alternatives_feedback": null,
"votes_count": 0,
"comments_count": 0,
"created_at": "2024-09-23T10:54:26-07:00",
"user": {
"id": "mhmanik02",
"name": "Mahmudul Hasan Manik",
"username": "mhmanik02",
"url": "https://www.producthunt.com/@mhmanik02",
"headline": "CO-Founder @SlashitApp",
"image": "https://ph-avatars.imgix.net/2285062/8fe1c0cc-f962-46a6-8c70-74aaca234154.png"
},
"alternative_products": [],
"from_launch": null
}
],
"total_found": 7,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 27722
},
"total_points": 2
}Startup & Funding Data
Product Hunt product reviews
Reviews of a Product Hunt product (all review types): rating, text, reviewer, date and alternatives mentioned, all pages. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-products-reviews
Product Hunt product reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.